<!doctype html>
<html ng-app="MyTestModule"
  	ng-controller="MyTestCtrl">
  <head>
    <meta charset="utf-8">
    <meta content='IE=edge' http-equiv='X-UA-Compatible'>
    <meta name="viewport" content="width=device-width">

    <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
    <!-- build:css(.) styles/vendor.css -->
    <!-- bower:css -->
    <!-- endbower -->
    <!-- endbuild -->

	<!-- build:css({.tmp/serve,src}) styles/app.css -->
	<!-- injector:css -->
	<!-- endinjector -->
	<!-- endbuild -->
  </head>
 <div
        layout="row"
        layout-fill>
    <div layout="column" flex>
        <!-- 			Custom button group -->
        <!-- 			See: https://material.angularjs.org/latest/CSS/button#grouping-with-css-overrides -->
        <section layout="row" layout-align="center center">
            <md-button
                    ng-class="{'md-primary' : editable}"
                    class="wb-group-button left"
                    ng-click="editable=!editable">
                <wb-icon>edit</wb-icon>
            </md-button>
            <md-button
                    ng-class="{'md-primary' : showContent}"
                    class="wb-group-button middle"
                    ng-click="showContent=!showContent">
                <wb-icon>content_copy</wb-icon>
            </md-button>
            <md-button
                    class="wb-group-button right"
                    ng-click="cs()">
                <wb-icon>insert_photo</wb-icon>
            </md-button>
        </section>
        <textarea ng-show="showContent">{{model}}</textarea>
        <div
                layout="row"
                flex>
            <wb-setting-panel-group
                    ng-show="editable"
                    flex="30"
                    style="overflow: auto;">
            </wb-setting-panel-group>
            <wb-content
                    wb-editable="editable"
                    wb-model="model"
                    flex
                    style="overflow: auto;">
            </wb-content>
        </div>
    </div>
</div>

	<!-- build:js(.) scripts/vendor.js -->
	<!-- bower:js -->
	<!-- endbower -->
	<!-- endbuild -->

    <script src="scripts/demo.js"></script>
    <!-- build:js({.tmp,app}) scripts/scripts.js -->
	<!-- injector:js -->
	<!-- endinjector -->
    <!-- endbuild -->
</body>
</html>
